import { Dialect, Sequelize } from "sequelize";

const envVars = {
  DB_NAME: process.env.DB_NAME,
  DB_USER: process.env.DB_USER,
  DB_HOST: process.env.DB_HOST,
  DB_DRIVER: process.env.DB_DRIVER as Dialect,
  DB_PASSWORD: process.env.DB_PASSWORD,
}

if (!envVars.DB_NAME || !envVars.DB_USER || !envVars.DB_HOST || !envVars.DB_DRIVER || !envVars.DB_PASSWORD) {
  console.error(`Error while reading DB Environment variables! Is maybe the .env file missing?
DB Name: "${envVars.DB_NAME}", Host: "${envVars.DB_HOST}", User: "${envVars.DB_USER}", DB Driver(e.g. postgres): "${envVars.DB_DRIVER}"`);
  process.exit(9);
}

export default envVars;