import "dotenv/config";
import express from "express";
import showAllDBs from "./db/showAllDBs";
import showTables from "./db/showDBTables";
import initializeDatabase from "./db";
// import apiRouter from "./routes";
import sendMail from "./mail";

let init = async () => {
  const sequelize = await initializeDatabase();

  const app = express();
  app.use(express.json());
  const port = process.env.PORT || 4000;
  app.listen(port, () => console.log(`Server listening on port: ${port}\n`));
  app.get("/", (req, res) => res.send("hello in server"));

  await showAllDBs(sequelize);
  await showTables(sequelize);
};

init().then(() => {});
